> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yutori.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Scout

> Get detailed information about a specific scout owned by this user.

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url https://api.yutori.com/v1/scouting/tasks/690bd26c-0ef8-42f4-99e4-8fca6ea20e6f \
    --header 'X-API-Key: YOUR_API_KEY'
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://api.yutori.com/v1/scouting/tasks/690bd26c-0ef8-42f4-99e4-8fca6ea20e6f",
      headers={"X-API-Key": "YOUR_API_KEY"}
  )
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    "https://api.yutori.com/v1/scouting/tasks/690bd26c-0ef8-42f4-99e4-8fca6ea20e6f",
    {
      method: "GET",
      headers: { "X-API-Key": "YOUR_API_KEY" }
    }
  );
  const data = await response.json();
  ```
</RequestExample>

Returns detailed information about a specific scout, including update count and last update timestamp.


## OpenAPI

````yaml GET /v1/scouting/tasks/{scout_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.yutori.com
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /v1/scouting/tasks/{scout_id}:
    get:
      tags:
        - Scouting
      summary: Get Scout Detail
      description: Get detailed information about a specific scout owned by this user.
      operationId: get_scout_detail_v1_scouting_tasks__scout_id__get
      parameters:
        - name: scout_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Scout Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScoutDetailResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ScoutDetailResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        query:
          type: string
          title: Query
        display_name:
          type: string
          title: Display Name
        status:
          type: string
          enum:
            - active
            - paused
            - done
          title: Status
        created_at:
          type: string
          format: date-time
          title: Created At
        next_run_timestamp:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Next Run Timestamp
        next_output_timestamp:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Next Output Timestamp
        user_timezone:
          type: string
          title: User Timezone
        output_interval:
          type: integer
          title: Output Interval
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        paused_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Paused At
        rejection_reason:
          anyOf:
            - $ref: '#/components/schemas/RejectionReason'
            - type: 'null'
        last_update_timestamp:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Update Timestamp
        update_count:
          type: integer
          title: Update Count
        query_object:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Query Object
        is_public:
          type: boolean
          title: Is Public
          default: true
        output_schema:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Output Schema
          description: JSON Schema for structured output, if configured
          readOnly: true
      type: object
      required:
        - id
        - query
        - display_name
        - status
        - created_at
        - next_run_timestamp
        - next_output_timestamp
        - user_timezone
        - output_interval
        - completed_at
        - paused_at
        - last_update_timestamp
        - update_count
        - output_schema
      title: ScoutDetailResponse
      description: Detailed scout information for detail endpoint.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RejectionReason:
      type: string
      enum:
        - insufficient_prepaid_balance
        - budget_exceeded
        - subscription_inactive
      title: RejectionReason
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: x-api-key
      in: header

````